from .base import *

# SECURITY WARNING: don't run with debug turned on in production!
DEBUG = True

# SECURITY WARNING: keep the secret key used in production secret!
SECRET_KEY = "gi5#h%%co$&cnxt36b8g13o2$$=)!3v+v^iyp)7!^qvrhr)w3+"

# SECURITY WARNING: define the correct hosts in production!
ALLOWED_HOSTS = ["*"]

EMAIL_BACKEND = "django.core.mail.backends.console.EmailBackend"

DATABASES = {
    "default": {
        "ENGINE": "django.db.backends.postgresql",
        "NAME": "datasketch",
        "USER": "datasketch",
        "PASSWORD": os.environ.get("DB_PASSWD") if os.environ.get("DB_PASSWD") else "",
        "HOST": os.environ.get("DB_HOST") if os.environ.get("DB_HOST") else "127.0.0.1",
        "PORT": "5432",
    }
}

try:
    from .local import *
except ImportError:
    pass
