# Datasketch.io
# Upstream set datasketch_app in /etc/nginx/conf.d/datasketch.http.conf

server {
    # HTTP CONFIG
    server_name datasketch.io;


    root /var/www/datasketch;
    # index index.html;

    location  / {

        proxy_pass http://datasketch_app;
        proxy_set_header	Host	$host;
		proxy_set_header	X-Forwarded-For	$remote_addr;
	    # try_files $uri $uri/ =404;
	
	}

    listen 443 ssl; # managed by Certbot
    ssl_certificate /etc/letsencrypt/live/datasketch.io/fullchain.pem; # managed by Certbot
    ssl_certificate_key /etc/letsencrypt/live/datasketch.io/privkey.pem; # managed by Certbot
    include /etc/letsencrypt/options-ssl-nginx.conf; # managed by Certbot
    ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem; # managed by Certbot

}

server {
    if ($host = datasketch.io) {
        return 301 https://$host$request_uri;
    } # managed by Certbot


        listen 80;
        server_name datasketch.io;
    return 404; # managed by Certbot


}